Bug 1286353 - mouse cursor invisible for about 10 seconds after login to wayland
mouse cursor invisible for about 10 seconds after login to wayland
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-28 08:41 EST by cornel panceac
Modified: 2016-06-13 08:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 04:03:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2015-11-28 08:41:31 EST
Description of problem:
At first login to wayland, the mouse cursor is not visible for about 10 seconds. Then, it becomes visible.

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.18.1.2-1.fc23.i686

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kamil Páral 2015-11-30 05:23:25 EST
This is usually a problem with gnome-settings-daemon being delayed because of something. Please supply system journal log when this happens and tell us the timestamp of when the cursor appears.
Comment 2 cornel panceac 2015-12-02 13:50:00 EST
I can not reproduce this also :(
(tried only tonight. i'll try again at some other time.)
Comment 3 Kamil Páral 2015-12-03 04:03:08 EST
OK, please reopen this and attach logs if this happens again.
Comment 4 cornel panceac 2016-06-13 07:20:27 EDT
I've switched back to Wayland after some time, and a few seconds after login the mouse cursor was stuck for a while (maybe 10 seconds). I'll check reproducibility. Maybe it's the same root cause.

Meanwhile, i wonder why i keep receiveing periodically emails about this closed ticket. ("Your outstanding requests ...")
Comment 5 Olivier Fourdan 2016-06-13 08:52:31 EDT
(In reply to cornel panceac from comment #4)
> I've switched back to Wayland after some time, and a few seconds after login
> the mouse cursor was stuck for a while (maybe 10 seconds). I'll check
> reproducibility. Maybe it's the same root cause.

Different things, the pointer is handled by the compositor in Wayland, ie mutter/gnome-shell, and if it gets busy doing something else (which is quite common at startup) the pointer may appear to remain stuck or lagging.

> Meanwhile, i wonder why i keep receiveing periodically emails about this
> closed ticket. ("Your outstanding requests ...")

Because you had a "needinfo" pending, that you've now cleared :)
Comment 6 cornel panceac 2016-06-13 08:56:07 EDT
Well, what i was thinking is that maybe the cursor was not invisible because it was not displayed, but because it was stuck in the "right" corner of the screen ...

Note You need to log in before you can comment on or make changes to this bug.